﻿@model  Select2SistemasCodigosAutomacoesViewModel
<div id="@string.Concat(Model.idControleSelect2, "Container")"></div>

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2SistemasCodigosAutomacoes/ObterSistemasCodigosAutomacoes")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMSIS";
                jsonTexto = "NOMSIS";
                jsonValor = "CODSISINF";
                caracteresMinimos = 0;

                with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "txtCodEmpAut", nomeJsonEnviar = "CODEMPAUT", tipoJsonEnviar = 'tipoNumerico' };

            }
            inicializar(null);
        }

        $("#@Model.idControleInput").change(function () {
            if ($(this).val().length > 0) {
                //
                with (new ComponenteAJAXFactory()) {
                    with (modelo) {
                        ajaxSuccessCallbackMethod = function (data) {
                            var bEach = false;
                            $(data).each(function (idx, dat) {
                                bEach = true;
                                $("#@Model.idControleSelect2").select2("trigger", "select", {
                                    data: { id: dat.CODSISINF, text: dat.NOMSIS }
                                });
                                return;
                            });
                            if (!bEach) {
                                swal('Verificar!', 'Sistema não encontrado!');
                                setCustomIcon('fa fa-window-close');
                                $("#@Model.idControleInput").val('');
                                $("#@Model.idControleSelect2").empty().change();
                            }
                        };
                        ajaxURL = '@Url.Content("~/api/Select2SistemasCodigosAutomacoes/ObterSistemasCodigosAutomacoes")';
                        async = true;
                        with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "txtCodEmpAut", nomeJsonEnviar = "CODEMPAUT", tipoJsonEnviar = 'tipoNumerico' };
                        with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleSelect2", nomeJsonEnviar = "NOMSIS", tipoJsonEnviar = 'tipoTexto' };
                    }
                    inicializar(null);
                }
                //
            }
        });
        $("#@Model.idControleSelect2").change(function () {
            $("#@Model.idControleInput").val('');
        });

    });

</script>